使用hb set对源码进行选定版本,选定为ipcamera_hispark_taurus_linux,出现[OHOS ERROR] invalid path的错

使用的源码是从下图获取的全量源码使用hb set对源码进行选定版本,选定为ipcamera_hispark_taurus_linux,出现[OHOS ERROR] invalid path的错-鸿蒙HarmonyOS技术社区进入源码处,使用hb set进行设置版本时,有以下版本,选定ipcamera_hispark_taurus_linux使用hb set对源码进行选定版本,选定为ipcamera_hispark_taurus_linux,出现[OHOS ERROR] invalid path的错-鸿蒙HarmonyOS技术社区

出现错误,错误为:

[OHOS ERROR] invalid path: /home/code/openharmony_new/device/hisilicon/hispark_taurus

请问该如何解决?

 

其他补充:

deveice的架构为

使用hb set对源码进行选定版本,选定为ipcamera_hispark_taurus_linux,出现[OHOS ERROR] invalid path的错-鸿蒙HarmonyOS技术社区

 

 

使用hb set对源码进行选定版本,选定为ipcamera_hispark_taurus_linux,出现[OHOS ERROR] invalid path的错-鸿蒙HarmonyOS技术社区

hb set出错
2022-01-12 13:13:45
浏览
收藏 0
回答 2
待解决
回答 2
按赞同
/
按时间
zhushangyuan_
1

hb版本多少?重新安装hb试试?

在OpenHarmony源码根目录下执行

卸载python3 -m pip uninstall ohos-build

安装python3 -m pip install --user build/lite

 

更多信息:

hb工具官网 https://gitee.com/openharmony/build_lite

分享
微博
QQ
微信
回复
2022-01-12 18:23:56
馥有诗书气自甄

请问按照楼上的方法,解决问题了嘛?

可以贴一下 /home/code/openharmony_new/目录下生成的ohos_config.json文件的内容

分享
微博
QQ
微信
回复
2022-01-14 09:42:44
相关问题
为什么没有Linux版本DevEco Studio?
2540浏览 • 1回复 待解决
打包怎么代码进行混淆?
1879浏览 • 1回复 待解决
在哪里下载 linux 版本hdc 工具
1678浏览 • 2回复 待解决
openHarmony应用进行签名时失败了
1282浏览 • 3回复 已解决
使用安装命令报错install invalid hap size
1833浏览 • 1回复 待解决
安装hb时候,输入hb -h结果如下
14浏览 • 0回复 待解决
DevEco Studio怎么使用真机进行调试
227浏览 • 1回复 待解决
js sdk6 storage set失败
983浏览 • 1回复 待解决